package com.yizhi.live.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 有直播回放的直播列表查询
 */
@Data
@Api
public class LiveReviewsVo {

    @ApiModelProperty(value = "直播回放id")
    private Long replayId;
    @ApiModelProperty(value = "上下文")
    private RequestContext requestContext;
    @ApiModelProperty(value = "直播间id")
    private Long liveId;
    private int pageNo = 1;
    private int pageSize = 10;




}
