package com.yizhi.live.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.live.application.domain.ScopeAuthorization;

import java.util.List;

/**
 * <p>
 * 直播授权课件范围表 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-04-10
 */
public interface IScopeAuthorizationService extends IService<ScopeAuthorization> {

    //删除之前记录
    Boolean insertList(List<ScopeAuthorization> list);

    //不删除之前记录
    Boolean insertAllList(List<ScopeAuthorization> list);
    
    
 
    List<ScopeAuthorization> listScopeAuthorization(Long liveId);

}
