package com.yizhi.live.application.util;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.lang.reflect.Field;
import java.util.*;

public class JsonUtil {

    public static Map<String, Object> parseJSON2Map(String jsonStr) throws Exception{
        Map<String, Object> map = new HashMap<String, Object>();
        JSONObject json = JSONObject.parseObject(jsonStr);
        for(Object k : json.keySet()){
            Object v = json.get(k);
            if(v instanceof JSONArray){
                List<Map<String, Object>> list = new ArrayList<Map<String,Object>>();
                JSONArray json2 = JSONArray.parseArray(v.toString());
                for(int i=0;i<json2.size();i++){
                    // 遍历 jsonarray 数组，把每一个对象转成 json 对象
                    JSONObject job = json2.getJSONObject(i);
                    list.add(parseJSON2Map(job.toString()));
                }
                map.put(k.toString(), list);
            } else {
                map.put(k.toString(), v);
            }
        }
        return map;
    }

}
